
################################################################################

#  Taller GBIF.ES: Manejo, visualizacin y anlisis de datos en ecologa con R
# Code by: Julia Chacn Labella
# Date: November 2018
# email: chacon.julia@inia.es

################################################################################

# Una vez instalado, podemos abrir el programa haciendo doble clic y se abrir 
# la consola de R. La consola es la herramienta principal del programa, donde 
# nosotros vamos a escribir comandos, expresiones y ejecutar operaciones.

# En la parte de arriba de la consola, al inicio, siempre aparece informacin 
# bsica del programa, por ejemplo, la versin de R que estamos utilizando.

# Esto que os sealo aqu es la linea de comando.
# Al comienzo de la linea de comando siempre aparece este smbolo.
# Cuando vemos este simbolo aqu, significa que el programa est esperando a que
# escribamos una operacin.

# La operacin ms sencilla sera una suma

2+3

# Si delante de cualquier comando ponemos una almohadilla (#)
# el comando no se ejecuta. Ejemplo:
# 2+3

#no ocurre nada.

# lo ms sencillo sera utilizar R como una calculadora, para hacer operaciones
# matematicas sencillas. Por ejemplo

# SUMAR

2+3+4+5+6

# si le damos a enter antes de tiempo

2+3+4+5+
  
  6

#el programa nos permite terminar la operacin.

# MULTIPLICAR

2*4

# DIVIDIR

2/4

# COMBINACIONES DE OPERACIONES

2+3*6

# TAMBIEN UTILIZANDO PARENTESIS PARA INDICAR EL ORDEN DE LA OPERACION

(2+3)*6
(2+3)/6
2+3/6