
################################################################################

#  Taller GBIF.ES: Manejo, visualizacin y anlisis de datos en ecologa con R
# Code by: Julia Chacn Labella
# Date: November 2018
# email: chacon.julia@inia.es

################################################################################
# TEMA 3.-  Tipos de objetos
################################################################################

# Introduccin a los tipos de datos y estructuras
  # 1. vectores
  # 2. listas
  # 3. arrays
  # 4. matrices
  # 5. data frames
################################################################################
#                         EJEMPLO DE UTILIZACION DE LISTAS
################################################################################
milista <- list("sitio1", "sitio2", "sitio3")
milista
names(milista) <- c("Madrid", "Segovia", "Guadalajara")
milista

milista$Madrid <- c("Betula", "Quercus", "Abies", "Pinus")
milista

milista$Segovia <- c("Pinus", "Quercus", "Platanus", "Cercis")

milista$Guadalajara <- c("Pinus", "Quercus", "Juniperus", "Cercis")

milista$Madrid <- list("Alcala", "Azuqueca", "Meco")
milista$Madrid
milista$Segovia <- list("Sepulveda", "Pedraza", "Segovia")
milista$Segovia

milista$Guadalajara <- list("Horche", "Molina", "Sigenza")

milista$Madrid[[1]]<-c("Pinus", "Quercus", "Platanus", "Cercis")
names(milista$Madrid) <- "Alcala"
milista$Madrid


################
# Como generar una lista vaca
# genero un vector, de un "mode" determinado. Puede ser "expression", "list", "logical"
empty.vector <- vector(mode="logical", length=30) # ejemplo de vector logico
empty.list <- vector(mode="list", length=30) # si escribo mode="list" me genera una lista
##################