#############################################
##Introducción a los análisis multivariantes#
#############################################

data(iris)

pca<-prcomp(iris[1:4])
plot(pca)

install.packages("FactoMineR")
library(FactoMineR)

pca_factominer<-PCA(iris[1:4],graph=TRUE)
plot.PCA(pca_factominer,col.ind=iris$Species)

iris.new<-iris[,c(1,2,3,4)]
iris.class<-iris[,"Species"]

kiris<-kmeans(iris.new,3)
table(kiris$cluster,iris.class)

library(vegan)
data("BCI")
dca<-decorana(BCI)
summary(dca)
plot(dca,display="sites")
plot(dca,display="species")
