library(tidyverse)

#Wilcoxon o U de Mann-Whitney

data(CO2)

ggplot(CO2,aes(x=uptake))+geom_density()
ggplot(CO2,aes(y=uptake,x=Treatment))+geom_boxplot()

wilcox.test(uptake~Treatment,data=CO2)

#Kruskal-wallis

data("PlantGrowth")
head(PlantGrowth)
levels(PlantGrowth$group)
ggplot(PlantGrowth,aes(x=group,y=weight))+geom_boxplot()
kruskal.test(weight~group,data=PlantGrowth)

#Chi-squared - Chi-cuadrado

crabs<-read.table("Queen_scalop.txt")
head(crabs)
table(crabs)
dim(crabs)
table(crabs)%>%chisq.test()
