########################
#### BUCLES FOR ########
########################

for (elemento in secuencia){
  #operaciones que se repiten
}

for (i in 1:10){
  
  print(i)
  
}

for (i in 1:10){
  
  print(i)
  print(i^2)
  
}

for (j in 1:10){
  print(paste("El cuadrado del número",j,"es",j^2))
  
}

especies_latin<-c("Psilocybe cubensis","Erythroxylum coca","Calystegia silvatica","Cannabis indica",
                  "Lophophora williamsii")
especies_castellano<-c("Teonanacatl","Planta de la coca","Vid","Correhuela","Marihuana","Peyote")
legalidad<-c("Ilegal","Ilegal","Legal","Legal","Ilegal","Ilegal")


especies<-cbind(especies_latin,especies_castellano,legalidad)%>%data.frame(stringsAsFactors = FALSE)
str(especies)

for (i in 1:nrow(especies)){
  
  print(paste("La especie",especies[i,2],"es",especies[i,3]))
  
}

for (i in 1:nrow(especies)){
  
  especie<-especies[i,1]
  print(paste("La especie",especies[i,2],"es",especies[i,3]))
  
}


install.packages("rgbif")
library(rgbif)

Acacia_dealbata<-occ_search(scientificName = "Acacia dealbata",hasCoordinate=TRUE, return="data",
                            limit=150)
Acacia_dealbata<-Acacia_dealbata[3:4]
max(Acacia_dealbata["decimalLatitude"])

especies_max_y<-matrix(ncol=2,nrow=nrow(especies))%>%data.frame()
colnames(especies_max_y)<-c("Especie","latitud máxima")

for (i in 1:nrow(especies)){
  target<-especies[i,1]
  print(paste("Buscando la especie",target))
  especie_temp<-occ_search(scientificName = target,hasCoordinate = TRUE, return="data",limit=150)
  max_long<-max(especie_temp["decimalLatitude"])
  especies_max_y[i,1]<-target
  especies_max_y[i,2]<-max_long
}

for (i in 1:nrow(especies)){
  print(paste("Buscando la especie",target))
  especie_temp<-occ_search(scientificName = especies[i,1],hasCoordinate = TRUE, return="data",limit=150)
  
  especies_max_y[i,1]<-target
  especies_max_y[i,2]<-max(especie_temp["decimalLatitude"])
}


#bucles anidados

mymat<-matrix(nrow=30,ncol=20)
mymat

for (i in 1:dim(mymat)[1]){
  for (j in 1:dim(mymat)[2]){
    mymat[i,j]<-i*j
  }
}

rcp<-c(20,30,40)
modelos<-c("miroc","hadley","aemet")
tiempo<-c(2020,2050,2080)

for (r in seq_along(rcp)){
  for(m in seq_along(modelos)){
    for(t in seq_along(tiempo)){
      
      #Operaciones
      print(paste(rcp[r],modelos[m],tiempo[t]))
      
    }
  }
  
}
