#######################
#####FAMILIA APPLY#####
#######################

#apply,sapply,lapply,tapply,mapply,vapply

getwd()
dir()
biocrust<-read.table("biocrust.txt",header=TRUE)
biocrust_quant<-biocrust[9:ncol(biocrust)]

biocrust_quant

for(i in 1:ncol(biocrust_quant)){
  temp_data<-biocrust_quant[,i]
  temp_name<-colnames(biocrust_quant[i])
  print(temp_name)
  print(mean(temp_data))
}


apply(biocrust_quant,MARGIN=2,FUN=mean)
colMeans(biocrust_quant)

fila1<-(1:15)
fila2<-(2:16)
fila3<-(3:17)

datos_filas<-rbind(fila1,fila2,fila3)%>%data.frame()

apply(datos_filas,MARGIN=1,FUN=mean)

library(tidyverse)
library(rgbif)
#más paquetes
packages<-c("tidyverse","rgbif","ALA4R","biomod2")
lapply(packages,require,character.only=TRUE)
sapply(packages,require,character.only=TRUE)

especies<-c("Quercus ilex","Juniperus phoenicea","Lagopus muta")

occ_search(scientificName = "Quercus ilex",country="ES")

sapply(especies,occ_search,taxonKey=NULL,country="ES",hasCoordinate=TRUE)

mis_resultados<-sapply(especies,occ_search,taxonKey=NULL,country="ES",hasCoordinate=TRUE, return="data",
                       fields=c("decimalLatitude","decimalLongitude"),limit=100)
mis_resultados


for (i in 1:length(especies)){
  temporal<-mis_resultados[i][[1]]
  name_temp<-mis_resultados[i]%>%names()
  temp_plot<-ggplot(temporal,aes(x=decimalLongitude,y=decimalLatitude))+geom_point()+ggtitle(name_temp)
  
}
